Loading...
Searching...
No Matches
janus_recordplay_session Struct Reference
Collaboration diagram for janus_recordplay_session:
[legend]

## Data Fields

janus_plugin_session * | handle
gint64 | sdp_sessid
gint64 | sdp_version
gboolean | active
gboolean | recorder
gboolean | firefox
char * | video_profile
janus_recordplay_recording * | recording
janus_recorder * | arc
janus_recorder * | vrc
janus_recorder * | drc
janus_mutex | rec_mutex
janus_recordplay_frame_packet * | aframes
janus_recordplay_frame_packet * | vframes
janus_recordplay_frame_packet * | dframes
gboolean | opusred
gboolean | textdata
guint | video_remb_startup
gint64 | video_remb_last
guint32 | video_bitrate
guint | video_keyframe_interval
guint64 | video_keyframe_request_last
gint | video_fir_seq
janus_rtp_switching_context | context
uint32_t | ssrc [3]
char * | rid [3]
janus_mutex | rid_mutex
uint32_t | rec_vssrc
janus_rtp_simulcasting_context | sim_context
janus_vp8_simulcast_context | vp8_context
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## active

gboolean janus_recordplay_session::active

## aframes

janus_recordplay_frame_packet* janus_recordplay_session::aframes

## arc

janus_recorder* janus_recordplay_session::arc

## context

janus_rtp_switching_context janus_recordplay_session::context

## destroyed

volatile gint janus_recordplay_session::destroyed

## dframes

janus_recordplay_frame_packet* janus_recordplay_session::dframes

## drc

janus_recorder* janus_recordplay_session::drc

## firefox

gboolean janus_recordplay_session::firefox

## handle

janus_plugin_session* janus_recordplay_session::handle

## hangingup

volatile gint janus_recordplay_session::hangingup

## opusred

gboolean janus_recordplay_session::opusred

## rec_mutex

janus_mutex janus_recordplay_session::rec_mutex

## rec_vssrc

uint32_t janus_recordplay_session::rec_vssrc

## recorder

gboolean janus_recordplay_session::recorder

## recording

janus_recordplay_recording* janus_recordplay_session::recording

## ref

janus_refcount janus_recordplay_session::ref

## rid

char* janus_recordplay_session::rid[3]

## rid_mutex

janus_mutex janus_recordplay_session::rid_mutex

## sdp_sessid

gint64 janus_recordplay_session::sdp_sessid

## sdp_version

gint64 janus_recordplay_session::sdp_version

## sim_context

janus_rtp_simulcasting_context janus_recordplay_session::sim_context

## ssrc

uint32_t janus_recordplay_session::ssrc[3]

## textdata

gboolean janus_recordplay_session::textdata

## vframes

janus_recordplay_frame_packet* janus_recordplay_session::vframes

## video_bitrate

guint32 janus_recordplay_session::video_bitrate

## video_fir_seq

gint janus_recordplay_session::video_fir_seq

## video_keyframe_interval

guint janus_recordplay_session::video_keyframe_interval

## video_keyframe_request_last

guint64 janus_recordplay_session::video_keyframe_request_last

## video_profile

char* janus_recordplay_session::video_profile

## video_remb_last

gint64 janus_recordplay_session::video_remb_last

## video_remb_startup

guint janus_recordplay_session::video_remb_startup

## vp8_context

janus_vp8_simulcast_context janus_recordplay_session::vp8_context

## vrc

janus_recorder* janus_recordplay_session::vrc

The documentation for this struct was generated from the following file:

- janus_recordplay.c